/* -----------------------------------------------------------------------------
 * Copyright (c) 2014 ARM Ltd.
 *
 * This software is provided 'as-is', without any express or implied warranty. 
 * In no event will the authors be held liable for any damages arising from 
 * the use of this software. Permission is granted to anyone to use this 
 * software for any purpose, including commercial applications, and to alter 
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not 
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be 
 *    appreciated but is not required. 
 * 
 * 2. Altered source versions must be plainly marked as such, and must not be 
 *    misrepresented as being the original software. 
 * 
 * 3. This notice may not be removed or altered from any source distribution.
 *   
 *
 * $Date:        15. December 2014
 * $Revision:    V1.01
 *  
 * Project:      Flash Device Description for ST Microelectronics STM32F0xx Flash
 * --------------------------------------------------------------------------- */

/* History:
 *  Version 1.01
 *    Added STM32F0xx 256kB Flash Algorithm
 *  Version 1.00
 *    Initial release
 */ 
 
#include "..\FlashOS.H"        // FlashOS Structures

#ifdef FLASH_MEM

struct FlashDevice const FlashDevice  =  {
   FLASH_DRV_VERS,             // Driver Version, do not modify!
   "ST BlueNRG-1",		       // Device Name (16kB)
   ONCHIP,                     // Device Type
   0x10040000,                 // Device Start Address
   0x00028000,                 // Device Size in Bytes (160kB)
   0x00000800,                 // Programming Page Size
   0,                          // Reserved, must be 0
   0xFF,                       // Initial Content of Erased Memory
   400,                        // Program Page Timeout 100 mSec
   6000,                       // Erase Sector Timeout 3000 mSec

// Specify Size and Address of Sectors
   0x00000800, 0x000000,           // Sector Size  1kB (16 Sectors)
   SECTOR_END
};

#endif // FLASH_MEM
